Bug 78601 - japanese/kterm: use MASTER_SITES_n and PATCH_SITES_n
Summary: japanese/kterm: use MASTER_SITES_n and PATCH_SITES_n
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-08 19:30 UTC by KOMATSU Shinichiro
Modified: 2005-03-11 21:02 UTC (History)
0 users

See Also:


Attachments
file.diff (1.81 KB, patch)
2005-03-08 19:30 UTC, KOMATSU Shinichiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description KOMATSU Shinichiro 2005-03-08 19:30:02 UTC
Use MASTER_SITES_n and PATCH_SITES_n.
Comment 1 KOMATSU Shinichiro 2005-03-08 20:20:59 UTC
Please throw my previous patch away, and just use this one, instead.

Pointed out by: ume
Suggested by: hrs


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/japanese/kterm/Makefile,v
retrieving revision 1.39
diff -u -r1.39 Makefile
--- Makefile	6 Mar 2005 22:06:12 -0000	1.39
+++ Makefile	8 Mar 2005 19:56:47 -0000
@@ -9,12 +9,12 @@
 PORTVERSION=	6.2.0
 PORTREVISION=	6
 CATEGORIES=	japanese x11
-MASTER_SITES=	${MASTER_SITE_PORTS_JP} \
+MASTER_SITES=	${MASTER_SITE_PORTS_JP:S/$/:wp_jp/} \
 		${MASTER_SITE_XCONTRIB} \
-		${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	applications kterm shige/kterm
+		${MASTER_SITE_LOCAL:S/$/:wp_local/}
+MASTER_SITE_SUBDIR=	applications kterm/:wp_jp shige/kterm/:wp_local
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
-		README.wallpaper.ja
+		README.wallpaper.ja:wp_local,wp_jp
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An xterm that speaks Japanese
@@ -23,17 +23,17 @@
 
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 DIST_SUBDIR=	kterm
-PATCH_SITES=	ftp://ftp.sra.co.jp/pub/x11/kterm/ \
-		http://www.asahi-net.or.jp/~hc3j-tkg/kterm/ \
-		http://straycat.ms.u-tokyo.ac.jp/distfiles/ \
-		${MASTER_SITE_PORTS_JP} \
-		${MASTER_SITE_LOCAL}
-PATCH_SITE_SUBDIR=	shige/kterm
-PATCHFILES=	${DISTNAME}.NFS-xauth.patch \
-		${DISTNAME}-wpi.patch.gz \
-		${DISTNAME}-jisx0213.patch.gz \
-		${DISTNAME}-color16.patch.gz \
-		${DISTNAME}-termios-0.2.patch.gz
+PATCH_SITES=	ftp://ftp.sra.co.jp/pub/x11/kterm/:nfs \
+		http://www.asahi-net.or.jp/~hc3j-tkg/kterm/:wpi \
+		http://straycat.ms.u-tokyo.ac.jp/distfiles/:termios \
+		${MASTER_SITE_LOCAL:S/$/:jisx0213,color16,termios/}
+PATCH_SITE_SUBDIR=	shige/kterm/:jisx0213,color16 \
+       			nork/:termios
+PATCHFILES=	${DISTNAME}.NFS-xauth.patch:nfs \
+		${DISTNAME}-wpi.patch.gz:wpi \
+		${DISTNAME}-jisx0213.patch.gz:jisx0213 \
+		${DISTNAME}-color16.patch.gz:color16 \
+		${DISTNAME}-termios-0.2.patch.gz:termios
 PATCH_DIST_STRIP= -p1
 
 USE_IMAKE=	yes
Comment 2 Pav Lucistnik freebsd_committer 2005-03-11 21:02:44 UTC
State Changed
From-To: open->closed

Committed, thanks!